org.apache.cassandra.security

## Class CipherFactory

- java.lang.Object
- - org.apache.cassandra.security.CipherFactory

    public class CipherFactory
    extends java.lang.Object

A factory for loading encryption keys from `KeyProvider` instances. Maintains a cache of loaded keys to avoid invoking the key provider on every call.

### Constructor Summary

Constructors
Constructor and Description
`CipherFactory(TransparentDataEncryptionOptions options)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.crypto.Cipher` `getDecryptor(java.lang.String transformation, java.lang.String keyAlias, byte[] iv)`
`javax.crypto.Cipher` `getEncryptor(java.lang.String transformation, java.lang.String keyAlias)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CipherFactory

    public CipherFactory(TransparentDataEncryptionOptions options)

### Method Detail

#### getEncryptor

    public javax.crypto.Cipher getEncryptor(java.lang.String transformation,
                                            java.lang.String keyAlias)
                                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### getDecryptor

    public javax.crypto.Cipher getDecryptor(java.lang.String transformation,
                                            java.lang.String keyAlias,
                                            byte[] iv)
                                     throws java.io.IOException

Throws:
  `java.io.IOException`